
TYPO3.Neos - Bug # 49936

Work Package # 47023 (Accepted): Global user interface
Feature # 48233 (Resolved): Top bar
Feature # 48235 (Closed): Publish menu

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-07-11 Assigned To: Aske Ertmann
Updated: 2013-07-18 Due date:
Subject: Auto-publish functionality behaves inconsistently
Description

When toggling the auto-publish checkbox the button state becomes inactive if active or active if inactive. Seems like it doesn't really
take into account if there already are unpublished changes or not. When switching auto-publish on we should publish all changes and
deactivate the button.

Associated revisions
Revision 80af9d88 - 2013-07-18 09:54 - Aske Ertmann

[TASK] Add published state to publish component

Also fixes some inconsistencies with the auto publish state

Change-Id: I6bf23e523f9eebf37d2cb7aa0d53cff1343e7131
Resolves: #48235
Fixes: #49936
Reviewed-on: https://review.typo3.org/22369
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

History
#1 - 2013-07-16 23:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22369

#2 - 2013-07-16 23:17 - Aske Ertmann
- Assigned To set to Aske Ertmann

#3 - 2013-07-17 22:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22369
#4 - 2013-07-18 10:38 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:80af9d88fd182bb4032a88f8af3afd8a45f22968.
